=== debian/changelog ===
ros-indigo-rapid-pbd (0.2.0-0trusty) trusty; urgency=high

  * Adds support for the Baxter robot (#18 <https://github.com/jstnhuang/rapid_pbd/issues/18>)
  * Added additional runtime deps.
  * Contributors: Justin Huang, ysl208

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 15 Nov 2017 08:00:00 -0000

ros-indigo-rapid-pbd (0.1.6-0trusty) trusty; urgency=high

  * Add detected surfaces as collision objects (#25 <https://github.com/jstnhuang/rapid_pbd/issues/25>)
  * Small refactoring of runtime code.
  * Changed editor web page title.
  * Contributors: Justin Huang, pengy25

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 03 Nov 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.5-0trusty) trusty; urgency=high

  * Added a service to create a new program (#22 <https://github.com/jstnhuang/rapid_pbd/issues/22>)
  * Upgraded to ros-rviz v3.
  * Added rosbridge_server as a runtime dependency.
  * Fixed headAction type in frontend.
  * Contributors: Justin Huang, Sheryl Liang, Yu-Tang Peng

 -- Justin Huang <jstn@cs.washington.edu>  Tue, 31 Oct 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.4-0trusty) trusty; urgency=high

  * Changed str to toString, which compiles on ROS buildfarm.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 15 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.3-0trusty) trusty; urgency=high

  * Added missing build dependencies.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.2-0trusty) trusty; urgency=high

  * Added install targets.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.1-0trusty) trusty; urgency=high

  * Initial release.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000
